Upgrade UCM 5.1 to UCM 7.1

Answered Question

Hi!

I have old UCM 5.1(3f) and install ISO image of UCM 7.1. Is it possible to make fresh intsall of UCM 7.1 and upload old license files (DLU for phones) from UCM 5.1 to 7.1? There is no server replacement - 7.1 replace 5.1 on the same server.

I have this problem too.
0 votes
Correct Answer by Rob Huffman about 7 years 7 months ago

Hi Alexander,

Yes, this does get very complicated, and the fact that you are @ 5.1(3) adds some extra considerations :)The truth of the matter is that I don't see any upgrade path currently available that doesn't require ordering the media for this. Have a look at the restrictions below;

Supported Cisco Unified Communications Manager Upgrades for Release 5.x

Cisco Unified Communications Manager 5.1(3f)*

*If you upgrade to this release, you cannot then upgrade from this release to Cisco Unified Communications Manager Release 6.0(1), Release 6.1(1), Release 6.1(2), or Release 7.0(1). You may only upgrade to Cisco Unified Communications Manager Release 6.1(3x) or Release 7.0(2x).

Upgrading to Unified CM 6.1(3) From Unified CM 4.x and 5.x

If you are upgrading from 4.1.3, 4.2.3, 4.3(2), 5.1.2, or 5.1.3, use the Product Upgrade Tool (PUT) or the PUT for registered customers only to obtain a media kit and license or purchase the upgrade from Cisco Sales.

To use the PUT, you must enter your Cisco contract number (Smartnet, SASU, or ESW) and request the CD/CD set. If you do not have a contract for Cisco Unified Communications Manager, you must purchase the upgrade from Cisco Sales.

From these 6.1(3) Release notes;

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/rel_notes/6_1_3/cucm-rel_note-613.html#wp404413

Release Notes for Cisco Unified Communications Manager Release 7.0(2)

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/rel_notes/7_0_2/cucm-rel_notes-702.html

Product Upgrade Tool

http://tools.cisco.com/gct/Upgrade/jsp/index.jsp

As far as Licensing goes, yes, any upgrade to a new "train" requires the Software Feature License. So for example;

CUCM 6.0(x) to 6.1(x) = No

CUCM 6.1(x) to 7.0(x) = Yes

Hope this helps!

Rob

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
Rob Huffman Tue, 06/23/2009 - 06:34

Hi Alexander,

Just to add a couple of questions to the great reply from Java.

Is this an upgrade or are you just re-using the server for a new 7.1(x) build?

If you are doing a "fresh' install of 7.1(x) you will require the install Media DVD's as the .iso files are only good for upgrades.

If you are doing an upgrade from 5.1(3) please let us know as there are some additional considerations.

Cheers!

Rob

Rob Huffman Tue, 06/23/2009 - 11:52

Hi Alexander,

The .iso upgrade files are only valid for upgrades from CUCM 6.1(2) and CUCM 7.0(x), so you will need to order the 7.1(2) media set.

You must be at CUCM **6.1(2) or later to use the files that you are trying (UCSInstall_UCOS_7.1.2.10000-16.sgn.iso)

Because you are upgrading from CUCM 5.1(3) you are required to order the Upgrade Media :)

The .iso upgrade files are only valid for upgrades from CUCM 6.1(2) and CUCM 7.0(x), so you will need to order the 7.1(2) media set.

Here is the reference to this;

Upgrading from Unified **CM 6.1(2) or Later to Unified CM 7.1(2) by Using the UCSInstall File

Note Because the 7.1.2.10000-16 build is a nonbootable ISO, it proves useful only for upgrades. You cannot use it for new installations.

Ordering the Upgrade Media

To upgrade to Cisco Unified CM Release 7.1(2), use the Product Upgrade Tool (PUT) to obtain a media kit and license or to purchase the upgrade from Cisco Sales.

To use the PUT, you must enter your Cisco contract number (Smartnet, SASU or ESW) and request the DVD/DVD set. If you do not have a contract for Cisco Unified Communications Manager, you must purchase the upgrade from Cisco Sales.

For more information about supported Cisco Unified CM upgrades, see the Cisco Unified Communications Manager Software Compatibility Matrix at the following URL:

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/compat/ccmcompmatr.html

From this doc;

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/rel_notes/7_1_2/cucm-rel_notes-712.html

***You will also want to pay special attention to this note***

Upgrading from Cisco Unified Communications Manager Release 5.1(3e) to 7.1.x Releases

This information applies when you upgrade from any of the following releases to any 7.1.x release:

•5.1(3e) (5.1.3.6000-2)

•The following 5.1(3e) Engineering Special releases:

-5.1(3.6103-1)

-5.1(3.6102-1)

-5.1(3.6101-1)

Before you upgrade, you must install the COP file ciscocm.513e_upgrade.cop.sgn on the server. This COP file is available from the following URL:

http://tools.cisco.com/support/downloads/go/ImageList.x?relVer=COP-Files&mdfid=280735907&sftType=Unified+Communications+Manager%2FCallManager+Utilities&optPlat=&nodecount=2&edesignator=null&modelName=Cisco+Unified+Communications+Manager+Version+5.1&treeMdfId

For information about installing this COP file, follow the installation instructions included with the COP file.

Hope this helps!

Rob

Correct Answer
Rob Huffman Wed, 06/24/2009 - 04:58

Hi Alexander,

Yes, this does get very complicated, and the fact that you are @ 5.1(3) adds some extra considerations :)The truth of the matter is that I don't see any upgrade path currently available that doesn't require ordering the media for this. Have a look at the restrictions below;

Supported Cisco Unified Communications Manager Upgrades for Release 5.x

Cisco Unified Communications Manager 5.1(3f)*

*If you upgrade to this release, you cannot then upgrade from this release to Cisco Unified Communications Manager Release 6.0(1), Release 6.1(1), Release 6.1(2), or Release 7.0(1). You may only upgrade to Cisco Unified Communications Manager Release 6.1(3x) or Release 7.0(2x).

Upgrading to Unified CM 6.1(3) From Unified CM 4.x and 5.x

If you are upgrading from 4.1.3, 4.2.3, 4.3(2), 5.1.2, or 5.1.3, use the Product Upgrade Tool (PUT) or the PUT for registered customers only to obtain a media kit and license or purchase the upgrade from Cisco Sales.

To use the PUT, you must enter your Cisco contract number (Smartnet, SASU, or ESW) and request the CD/CD set. If you do not have a contract for Cisco Unified Communications Manager, you must purchase the upgrade from Cisco Sales.

From these 6.1(3) Release notes;

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/rel_notes/6_1_3/cucm-rel_note-613.html#wp404413

Release Notes for Cisco Unified Communications Manager Release 7.0(2)

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/rel_notes/7_0_2/cucm-rel_notes-702.html

Product Upgrade Tool

http://tools.cisco.com/gct/Upgrade/jsp/index.jsp

As far as Licensing goes, yes, any upgrade to a new "train" requires the Software Feature License. So for example;

CUCM 6.0(x) to 6.1(x) = No

CUCM 6.1(x) to 7.0(x) = Yes

Hope this helps!

Rob

Rob Huffman Thu, 06/25/2009 - 04:14

Hi Alexander,

You are most welcome my friend!

As long as your Permanent Licenses are showing up as well you should be good to go. I was told recently by Michael @ Cisco that the "Temp" Licenses are actually in the Db and are not deletable :)

Cheers!

Rob

Actions

This Discussion